<?PHP
////++++++++++++++++ CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("Conections/$VpnEn.php");

$Cve_Modulo = "CMOD201506100193";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];


	////////Identificar personalización 1 
		$sqlP1 = mysql_query("select * from wms_personaliza1 where ID='1'");
		if (mysql_numrows($sqlP1)==0) echo "";
		else{
		$registroP1=mysql_fetch_array($sqlP1);
		}
		if (mysql_numrows($sqlP1)>0)
		{
		$BBackg=$registroP1["BODY_BACKGROUND_IMG"];
		}
	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
		
	/////////Identificar personalización 3
		$sqlP3 = mysql_query("select * from wms_personaliza3 where ID='1'");
		if (mysql_numrows($sqlP3)==0) echo "";
		else{
		$registroP3=mysql_fetch_array($sqlP3);
		}
		if (mysql_numrows($sqlP3)>0)
		{
		$FuTi_Form=$registroP3["FUENTE_TITULOFORMULARIO"];
		$TaTi_Form=$registroP3["TAMANO_TITULOFORMULARIO"];
		$BgTi_Form=$registroP3["COLOR_TITULOFORMULARIO"];
		$FuCu_Form=$registroP3["FUENTE_FORMULARIO"];
		$TaCu_Form=$registroP3["TAMANO_FORMULARIO"];
		$BgCu_Form=$registroP3["COLOR_FORMULARIO"];
		$FonTi_Form=$registroP3["BG_TABLATITULO"];
		$FonCi_Form=$registroP3["BG_TABLACUERPO"];
		$FonSe_Form=$registroP3["BG_TABLASEPARACION"];
		$Borde_Form=$registroP3["BORDER_CAMPO"];
		$CamDe_Form=$registroP3["BG_CAMPODESHABILITADO"];
		$ClaBtn=$registroP3["CLASE_BOTON"];
		}
		
	/////////Identificar personalización 4
		$sqlP4 = mysql_query("select * from wms_personaliza4 where ID='1'");
		if (mysql_numrows($sqlP4)==0) echo "";
		else{
		$registroP4=mysql_fetch_array($sqlP4);
		}
		if (mysql_numrows($sqlP4)>0)
		{
		$Bord_Tabl=$registroP4["BG_BORDE"];
		$Fond_Tabl=$registroP4["BG_FONDOGRALTABLA"];
		$BgF1_Tabl=$registroP4["BG_FILA_1"];
		$BgF2_Tabl=$registroP4["BG_FILA_2"];
		$FTit_Tabl=$registroP4["FUENTE_TABLATITULO"];
		$TTit_Tabl=$registroP4["TAMANO_FUENTETABLATITULO"];
		$CFTi_Tabl=$registroP4["COLOR_FUENTETABLATITULO"];
		$FEnc_Tabl=$registroP4["FUENTE_TABLAENCA"];
		$TEnc_Tabl=$registroP4["TAMANO_FUENTETABLAENCA"];
		$CEnc_Tabl=$registroP4["COLOR_FUENTETABLAENCA"];
		$FCue_Tabl=$registroP4["FUENTE_TABLACUER"];
		$TCue_Tabl=$registroP4["TAMANO_FUENTETABLACUER"];
		$CCue_Tabl=$registroP4["COLOR_FUENTETABLACUER"];
		}		
		
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?USUkp=$UsuEn&IdDeAcc=$IDSeEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
	
	/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&' target='_parent'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
		//////HORA y FECHA/////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("d/m/Y");
			
				////identificar cuenta 
					$sqlCR2 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
					if (mysql_numrows($sqlCR2)==0) echo "";
					else{
					$registroCR2=mysql_fetch_array($sqlCR2);
					}
					if (mysql_numrows($sqlCR2)>0)
					{
					$CuentaCR1=$registroCR2["CVE_CUENTA"];
					$NomBodCR2=$registroCR2["NOMBRE_CUENTA"];
					$ClavBodCR2=$registroCR2["CVE_BODEGA"];
					
					}			
			
				////identificar bodega
					$sqlCR3 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$ClavBodCR2'");
					if (mysql_numrows($sqlCR3)==0) echo "";
					else{
					$registroCR3=mysql_fetch_array($sqlCR3);
					}
					if (mysql_numrows($sqlCR3)>0)
					{
					$BodBodCR1=$registroCR3["CVE_BODEGA"];
					$NomBodegaCR2=$registroCR3["NOMBRE_BODEGA"];
					}

////++++++++++++++ FIN CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<?PHP echo"<link rel='stylesheet' href='cssBtn/style_Btns.css'>"; ?>
<link rel="shortcut icon" href="../WMS_Resources/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
body {
	background-image: url(../WMS_Resources/images/MainBkgr/<?PHP echo $BBackg; ?>);
}

.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: <?PHP echo $FuCu_Form; ?>;
	font-size:<?PHP echo $TaCu_Form; ?>px;
	color:<?PHP echo $BgCu_Form; ?>;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>

<!-- Termina Validador de Inactividad -->
</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()">

<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<Br><Br><Br><Br><Br><Br><Br><Br>
<?PHP

///Arrastrando Valores
$OrdenTrabajoEn=$_GET["NoOrdenT"] or $OrdenTrabajoEn=$_POST["NoOrdenT"];

///Barrer toda la Orden de Trabajo
$sql_W1=mysql_query("Select * from extra_ordentrabajo where CVE_CUENTA='$CuentaCR1' AND NO_ORDEN='$OrdenTrabajoEn' AND ESTADO_ORDEN='CREADO' Order By ID ASC");
while($res_W1=mysql_fetch_array($sql_W1))
{///Inicia While 01
$PedSol_w1 = $res_W1['PEDIMENTO_SOLICITADO'];
$TipExt_w1 = $res_W1['TIPO_EXTRACCION'];
$CodSku_w1 = $res_W1['SKU'];
$CanTra_w1 = $res_W1['CANTIDAD_X_TRABAJAR'];

	///Barrer Stock y Asignar Pallets por Cambio de Calidad
	$sql_W2=mysql_query("Select * from tabla_inventario where CVE_CUENTA='$CuentaCR1' AND TIPO_ALMACEN='$TipExt_w1' AND SKU='$CodSku_w1' AND LOTEPRODU='$PedSol_w1' AND EDO_CALIDAD='D' Order By FECHA_ENTRADA ASC");
	while($res_W2=mysql_fetch_array($sql_W2))
	{///Inicia While 02
	$NumId_w2 = $res_W2['ID'];
	$Canti_w2 = $res_W2['CANTIDAD'];
	$NoPal_w2 = $res_W2['NO_PALLET'];
	$Ubica_w2 = $res_W2['UBICACION'];
	
	
	////Identificar el total de piezas ya apartadas por cambio de calidad
		$sqlSUMA = "Select SUM(CANTIDAD_APARTADA) as ObtCant FROM extra_ordentrabajo WHERE CVE_CUENTA='$CuentaCR1' AND NO_ORDEN='$OrdenTrabajoEn' AND TIPO_EXTRACCION='$TipExt_w1' AND SKU='$CodSku_w1' AND PEDIMENTO_SOLICITADO='$PedSol_w1'";
		$resSUMA = mysql_query($sqlSUMA); 
		$PrePiezas = mysql_fetch_assoc($resSUMA);
		$TotApartada =  $PrePiezas ['ObtCant'];
		
		
		if ($TotApartada == "0")
		{
			$CantGenApartada = $TotApartada;
		}
		///else
		///{
			///$CantGenApartada = $TotApartada + $Canti_w2;
		///}
							
		///Detectar si ya se aparto la cantidad suficioente - Todo por Estado de Calidad
		///if ($CantGenApartada <= $CanTra_w1)
		if ($CantGenApartada < $CanTra_w1)
		{///Inicia If Validador de Cantidades
		
		///Cantidad General Apartada
			$CantGenApartada = $TotApartada + $Canti_w2;
		
			///Cambiar pallet de estado de Calidad, Guardar Kardex, y Guardar cantidad apartada e Orden de Trabajo
			
				/////Identificar el codigo SKU del producto por medio de la clave del Pallet
					$sqlDU2 = mysql_query("select * from tabla_inventario WHERE CVE_CUENTA='$CuentaCR1' AND NO_PALLET='$NoPal_w2'");
					if (mysql_numrows($sqlDU2)==0) echo "";
					else{
					$registroDU2=mysql_fetch_array($sqlDU2);
					}
					if (mysql_numrows($sqlDU2)>0)
					{
						
						$CSku=$registroDU2["SKU"];
						$CSkuAlt=$registroDU2["SKU_ALT"];
						$CNoDoc=$registroDU2["NO_DOCUMENTO"];
						$CCanti=$registroDU2["CANTIDAD"];
						$CEdoCali=$registroDU2["EDO_CALIDAD"];
						$CUbicaActu=$registroDU2["UBICACION"];
				
						$CCantiMEN="-".$registroDU2["CANTIDAD"];
						$CCantiMAS=$registroDU2["CANTIDAD"];
					}
					
					///Hora y Fecha
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
						
						////""""""" Generar el Registro a menos dentro del Kardex """"""""////
						
								///////Generador de Folio concecutivo en la tabla Kardex///////////
								$sqlIDK = "select max(ID) as ultimo_FOLIOK from tabla_kardex"; 
								$libK = mysql_query($sqlIDK); 
								$rs_libK = mysql_fetch_assoc($libK); 
								$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
		
							    ///////Variables Fijas////////////
								$NMovimiento="CALIDAD OT - ".$CEdoCali;
								$NMovimientoMAS="CALIDAD OT + PT";
								
								//////Guardar el registro a MENOS en la Table_Kardex//////////
								$sqlKMEN = "insert into tabla_kardex 				(ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,HORA,FECHA,USUARIO)
        		values('$id_nuevoK','$BodBodCR1','$CuentaCR1','$CSku','$CSkuAlt','$CNoDoc','$NMovimiento','$CUbicaActu','$NoPal_w2','$CCantiMEN','$HoraOK','$Fecha','$UsuEn')";
								///$resultadoKMEN=mysql_query($sqlKMEN,$conexion) or die(mysql_error());
								
								
						////""""""" Generar el Registro a mas dentro del Kardex """"""""////
								///////Generador de Folio concecutivo en la tabla Kardex///////////
								$sqlIDK2 = "select max(ID) as ultimo_FOLIOK2 from tabla_kardex"; 
								$libK2 = mysql_query($sqlIDK2); 
								$rs_libK2 = mysql_fetch_assoc($libK2); 
								$id_nuevoK2 = $rs_libK2['ultimo_FOLIOK2'] + 1;
			
								//////Guardar el registro a MAS en la Table_Kardex//////////
								$sqlKMAS = "insert into tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,HORA,FECHA,USUARIO)
        	values('$id_nuevoK2','$BodBodCR1','$CuentaCR1','$CSku','$CSkuAlt','$CNoDoc','$NMovimientoMAS','$CUbicaActu','$NoPal_w2','$CCantiMAS','$HoraOK','$Fecha','$UsuEn')";
								///$resultadoKMAS=mysql_query($sqlKMAS,$conexion) or die(mysql_error());
								
								//////Guardar el Cabio de Calidad en la BD - Modifica la Table Inventario//////////
								$sqlMI="UPDATE tabla_inventario SET EDO_CALIDAD='PT' WHERE CVE_CUENTA='$CuentaCR1' AND NO_PALLET='$NoPal_w2' AND ID='$NumId_w2'";
								///$resultadoMI=mysql_query($sqlMI,$conexion) or die(mysql_error());
								
								
								//////Modificar la cantidad apartada dentro de la Orden de Trabajo como "CANTIDAD_APARTADA "
								$sqlMI="UPDATE extra_ordentrabajo SET CANTIDAD_APARTADA ='$CantGenApartada' WHERE CVE_CUENTA='$CuentaCR1' AND NO_ORDEN='$OrdenTrabajoEn' AND SKU='$CSku' AND PEDIMENTO_SOLICITADO='$PedSol_w1' AND TIPO_EXTRACCION='$TipExt_w1'";
								$resultadoMI=mysql_query($sqlMI,$conexion) or die(mysql_error());
								
								///Simulador impreso
								echo $CodSku_w1." | ".$NoPal_w2." | ".$Canti_w2." | ".$Ubica_w2." | ".$CEdoCali."<Br>";
								
		if ($TotApartada == "0")
		{
			$CantGenApartada = $TotApartada;
		}
		else
		{
			$CantGenApartada = $TotApartada + $Canti_w2;
		}
											
		}///Termina If Validador de Cantidades
		else
		{///Inicia Else Validador de Cantidades
			break;
		}///Termina Else Validador de Cantidades
	
			
	
	}///Termina While 02

///echo "<Br>";

}///Termina While 01

$sqlMI2="UPDATE extra_ordentrabajo SET CANTIDAD_APARTADA ='0' WHERE CVE_CUENTA='$CuentaCR1' AND NO_ORDEN='$OrdenTrabajoEn'";
$resultadoMI2=mysql_query($sqlMI2,$conexion) or die(mysql_error());

$sqlEU= "DELETE FROM extra_ordentrabajo WHERE CVE_CUENTA='$CuentaCR1' AND NO_ORDEN='$OrdenTrabajoEn'";
$resultadoEU=mysql_query($sqlEU,$conexion) or die(mysql_error());

		///Confirmación y Redireccionamientos
		echo "<script>alert('MERCANCIA SIMULADA CORRECTAMENTE.\\nPor medio de Cambios de Calidad Automáticos'); </script>";
		///echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=Home.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";



?>

<!-- Termina Cuerpo de la Interfaz Gráfica -->

<?PHP
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>
</body>
</html>